import type Question from "@metabase/embedding-sdk-react/dist/frontend/src/metabase-lib/v1/Question";
import type { Collection, Dashboard } from "@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api";
import type { SelectedItem } from "./types";
type Opts = {
    pathname: string;
    params: {
        slug?: string;
        pageId?: string;
    };
    question?: Question;
    dashboard?: Dashboard;
    collection?: Collection;
};
export declare function isCollectionPath(pathname: string): boolean;
export declare function isQuestionPath(pathname: string): boolean;
export declare function isModelPath(pathname: string): boolean;
export declare function isMetricPath(pathname: string): boolean;
declare function getSelectedItems({ pathname, params, question, dashboard, collection, }: Opts): SelectedItem[];
export default getSelectedItems;
